glhanoi(6x)

NAME
glhanoi - OpenGL Towers of Hanoi

SYNOPSIS
glhanoi [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--count number] [--poles number] [--speed number] [--wireframe] [--light] [--texture] [--fog] [--fps]

DESCRIPTION
Implementation of Towers of Hanoi in OpenGL

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

--count number
    Number of disks. Default: 7.

--poles number
    Number of poles. Default: random from 3 to disks+1.

--speed number
    Speed multiplier (for smallest disks). Default: 1.

--trails number
    Length of disk trails, in seconds. Default: 2.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fog | --no-fog
    Render in fog.

--fps
    Display the current frame rate, CPU load, and polygon count.

--light | -no-light
    Whether the scene is lit.

--texture | --no-texture
    Render with textures instead of solid.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2004 by Dave Atkinson. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Dave Atkinson.